Subject: Re: [RFC] powerpc/boot: compare _start against ei.loadsize instead ei.memsize

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Oct 2008 14:58:08 +1100

On Thu, 2008-09-25 at 23:43 +0200, Sebastian Siewior wrote:
> * Milton Miller | 2008-09-23 20:46:18 [-0500]:
> 
> >On Wed Sep 24 at about 06:38:57 EST in 2008, Sebastian Siewior wrote:
> >> My mylinux binary incl. bss is ~5 MiB without bss less than 4 MiB.
> >> Therefore I though that I could replace ei.memsize with ei.loadsize. It
> >> didn't work. I'm not sure why it did not work but I guess that the
> >> memset() of bss in the initial kernel code overwrote the cuimage code
> >> which is required for some reason. Maybe some device-tree callbacks.
> >
> >probably because the bss extended beyond the cuboot _end to include
> >where your device tree was copied (just a malloc and we start
> >simple_malloc at the boot _end on most platforms).
> 
> Right, the bss section went past _dtb_start, moving the device tree
> helps.
> 
> Signed-off-by: Sebastian Siewior <[email-masked]>

Please repost in correct form, that is with the changeset comment.

Cheers,
Ben.